#include <fstream.h>
#include <iostream.h>
#include <string.h>
#include <stdio.h>

class textureCutter
{
   public:
      textureCutter(char* aFileName, int aDegSize = 15);
      textureCutter(char* aFileName, int aDegSize, int aBoundariesY[]);
      ~textureCutter();

      void run();

   private:
      char* fileName;
      int totalWidth, totalHeight;
      //RGB data
      char* data;
      //chunk size in minutes
      int degSize;
      //geocoordinates of UL corner, in minutes
      int ulLat;
      int ulLon;
      //size in minutes
      int szLat;
      int szLon;
      //chunk boundaries
      int boundariesX[20];
      int boundariesY[20];

      int parseFileName();
      int read();
      void calculateBoundaries();
      int cutImage();
      int allocateMemory();
      int saveChunk(int row, int col);
      
};

